//page
class pages {
	constructor(that) {
		this.page = that
	}
	取当前页指针(){
		
	}
	取组件变量() {
		return this.page.$data
	}
	置组件变量(obj, callback) {
		let that = this.page;
		let keys = [];
		let val,data;
		Object.keys(obj).forEach(function(key){
			keys = key.split('.');
			val = obj[key];
			data = that.$data;
			keys.forEach(function(key2,index){
				if(index+1 == keys.length){
					that.$set(data,key2,val);
				}else{
					if(!data[key2]){
						that.$set(data,key2,{});
					}
				}
				data = data[key2];
			})
		});
	}
	取全局子程序() {
		
	}
	事件对象转换(Event) {
		var i = {
			类型: Event.type,
			时间戳: Event.timeStamp,
			事件源组件: {
				id: Event.target.id,
				自定义: Event.target.dataset
			},
			绑定组件: {
				id: Event.currentTarget.id,
				自定义: Event.currentTarget.dataset
			},
			消息: Event.detail,
			停留点: Event.touches,
			移动点: Event.changedTouches
		}
		return i
	}
}
//调试
class 调试 {
	static 输出(...i) {
		console.log(...i);
	}
	static 输出debug(...i) {
		console.debug(...i);
	}
	static 输出错误(...i) {
		console.error(...i);
	}
	static 创建分组(标记) {
		console.group(标记);
	}
	static 结束分组() {
		console.groupEnd();
	}
	static 输出信息(...i) {
		console.info(...i);
	}
	static 输出警告(...i) {
		console.warn(...i);
	}
}